Project

Profile

Help

Issue #1405

closed

Pulp's documentation does not inform the user about the qpid dependencies

Added by rbarlow over 6 years ago. Updated about 2 years ago.

Status:
CLOSED - WONTFIX
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
1. Low
Version:
Platform Release:
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Documentation, Easy Fix, Pulp 2
Sprint:
Quarter:

Description

We need to document the qpid dependencies in the docs instead of hiding the actual dependencies in the comps.xml file[0]. qpid-tools and python-qpid are needed for the Pulp server's celery use. Also there is the need for python-gofer-qpid for gofer to have the client support it needs. See this discussion[1] for some details about the dependency.

[0]: https://github.com/pulp/pulp/blob/f42a4b04666b2922746c7590cce475836738da05/comps.xml#L28-L30
[1]: https://github.com/pulp/pulp/pull/2227/files#r46843119

Also available in: Atom PDF